## maui-clip 4.0.2+p24.04+vstable+git20250914.2018

=== debian/changelog ===
maui-clip (4.0.2+p24.04+vstable+git20250914.2018-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 14 Sep 2025 20:18:27 +0000
