=== debian/changelog ===
maui-clip (4.0.2+p24.04+vstable+git20251015.1907-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 19:07:01 +0000
