=== debian/control ===
Source: maui-clip
Section: utils
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcoreaddons-dev,
               kf6-kdbusaddons-dev,
               kf6-ki18n-dev,
               libavcodec-dev,
               libavfilter-dev,
               libavformat-dev,
               libmauikitfilebrowsing-dev,
               libmpv-dev,
               libpostproc-dev,
               libswscale-dev,
               libtag1-dev,
               mauikit-dev,
               mauiman-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-multimedia-dev,
               qt6-webengine-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/maui/maui-clip
Vcs-Git: https://invent.kde.org/neon/neon-packaging/maui-clip.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/maui-clip
Maintainer: Neon CI <neon@kde.org>

Package: maui-clip
Architecture: any
Depends: qml6-module-org-mauikit-calendar,
         qml6-module-org-mauikit-filebrowsing,
         ${misc:Depends},
         ${shlibs:Depends}
Description: clip archiver
 Maui Archiver for compressed files

Package: clip
Depends: maui-clip, ${misc:Depends}
Architecture: all
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.
