## maui-clip 4.0.2+p24.04+vstable+git20251201.0220

=== debian/changelog ===
maui-clip (4.0.2+p24.04+vstable+git20251201.0220-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Dec 2025 02:20:11 +0000
