## maui-clip 4.0.2+p24.04+vunstable+git20251130.0218

=== debian/changelog ===
maui-clip (4.0.2+p24.04+vunstable+git20251130.0218-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 30 Nov 2025 02:18:20 +0000
