## maui-clip 4.0.2+p24.04+vunstable+git20260205.0813

=== debian/changelog ===
maui-clip (4.0.2+p24.04+vunstable+git20260205.0813-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 08:13:54 +0000
