## maui-clip 4.0.2+p24.04+vunstable+git20260208.0706

=== debian/changelog ===
maui-clip (4.0.2+p24.04+vunstable+git20260208.0706-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 08 Feb 2026 07:06:15 +0000
